Released docs. You are viewing the documentation published with v0.46.0. Development docs are available at Latest.
The public keys of the EdDSA client identifiers
const url = 'https://example.com/v1/jwks';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/jwksServed only when a pre-registered or decentralized-identifier client identifier is configured.
Responses
Section titled “Responses”JSON Web Key Set
object
object
Example
{ "keys": [ { "alg": "EdDSA", "crv": "Ed25519", "kty": "OKP", "use": "sig" } ]}Headers
Section titled “Headers”The W3C Trace Context version 0 field of the request, or a server-created one when the request carried none or an invalid or repeated one. tracestate is never answered.
No EdDSA client identifier is configured
object
Example generated
{ "detail": "example", "status": 1, "title": "example", "type": "https://example.com"}Headers
Section titled “Headers”The W3C Trace Context version 0 field of the request, or a server-created one when the request carried none or an invalid or repeated one. tracestate is never answered.
The configured request deadline elapsed
object
Example generated
{ "detail": "example", "status": 1, "title": "example", "type": "https://example.com"}Headers
Section titled “Headers”The W3C Trace Context version 0 field of the request, or a server-created one when the request carried none or an invalid or repeated one. tracestate is never answered.
Cookies on Registry Stack
We use optional cookies to understand how you use the main Registry Stack website and this documentation. If you contact us, we may link this activity to your enquiry. You can change your choice at any time. Read the privacy policy.
Your browser asks sites not to track you, so optional tracking stays off.
We could not use or save that choice. Optional tracking remains off.